Sync: QR code for pairing devices with computer not showing

I’ve just upgraded to a “Thinker status” as I’d like to be able to sync my references across platforms.
However, when I tried to pair my computer with my Android phone and tablet, I waited for ever for the QR code to appear. Last time, I waited 30 minutes, but nothing. The square in which it is supposed to show remains blank with the downloading wheel spinning endlessly.

1) Which browser, operating system and versions of those are you using?
I’m using the latest version of Firefox to date, that is 79.0, and I’m running Ubuntu 20.04.

2) What are the steps you took that lead to the bug?
Not much. I just went to the Dashboard, selected “Sync” and then, clicked on “Pair New Device” and waited for the QR code to appear.

Hello Ariane!

Welcome to the community, albeit under these circumstances.

Just to note: the sync right now only works with one computer and one mobile device.
We have not implemented 3+ device sync yet.

Which version of Memex are you running?

Thanks
Oliver

1 Like

Hello!

Thank you for your welcome!

I understand that it might be only for one device at a time, but right now I can’t even do that.

I’m using the latest version of memex, I believe. I’m not sure where to find the information about the version I’m using, but since I have downloaded Memex for Firefox like 3-4 weeks ago and I haven’t seen any update being pushed or notified, I believe it must be the latest one. I have also downloaded again the Android app on my Samsung Galaxy S7 phone and I believe then, it should also be the latest one.

Would you be down to hop on a call with me sometimes so we can go through this together?
If so you can book a call here: calendly.com/worldbrain.

If not we can continue here.
Either way the version you can find via the little ? icon in the right bottom corner of the dashboard:
50

We fixed a related issue in 2.4.1 so maybe you try upgrade to that if you haven’t and try again.
If it still doesn’t work I am still happy to jump on a call.

Sorry for the inconvenience and thanks for the help here.

1 Like

Hello!

Sorry for not responding earlier, but I had some really busy days.

I checked as you said and it seems that I’m using version 2.4.2 of Memex. Shall I check if there is a new version?Capture%20d%E2%80%99%C3%A9cran%20du%202020-08-17%2018-10-40

This is the latest version.

So you still have that loading spinner showing up to no avail I assume?

Can you go to this page and then on “console”.
Can you make a screenshot of that twice?
The first one before you click on “Pair Device”, and then clear it via the trash icon.
The second one when the loading spinner gets stuck.

Thanks so much for the help!

1 Like

Hello!

Sorry again for the delay in responding. I’m clicking on the link you put in your message, but it doesn’t do anything. I copied it and I get this: http://about:devtools-toolbox?type=extension&id=info%40worldbrain.io. When I put it in the URL field, and click enter, it leads to my search engine trying to find this address. However, I did take the two printscreens you asked for. Here it is the first one:

Here is the second one:

And here is the last one, when the loading wheel for the code keeps spinning:

Also, I just realized that the extension seems to have been upgraded. I’m now using 2.4.3:
Capture%20d%E2%80%99%C3%A9cran%20du%202020-08-22%2015-31-27

Sorry for replying in several separate responses, but new users aren’t allowed to include more than one picture per comment.

Do you think you can help me with those informations? Sorry for not being able to go through the whole process, but for some reasons, when I click on the link, it doesn’t work, I thank you in advance for your patience!

Ah sorry, my bad. I thought the would work if I put it behind a text.
Try to do the same steps again but use this one here in your Firefox address bar:
about:devtools-toolbox?type=extension&id=info%40worldbrain.io

I am still down to jump on a 15min call with you to do some investigation and troubleshooting: calendly.com/worldbrain

1 Like

Alright! I got to the page, but I see in the console that there are a lot of errors and call to attention are signaled. Pages and pages. It might be a good idea that I call you and maybe you can check my console.

This a screenshot of the page end, where it took me straight after I copied your link in my Firefox address bar. And that is before I do anything with the sync tool.

And this is what I get after I try to sync:

There are two more to come, as I couldn’t take the whole thing in one screenshot.

Here is the second. It overlap a bit with the first one:

There is one more to come.

And here is the last one. Like the second one, it overlaps a bit with the previous screenshot:

Oh, and I got upgraded to 2.5,0 now! But the sync is still showing the same issue.

And I got upgraded to Firefox 80.0 as well.

I see an error that WebRTC is not supported. This may indicate that you have a WebRTC blocker installed, which is the transport protocol.

Do you know of any such tool installed on your machine?